org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class SharedPageLockTrackerDump

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.SharedPageLockTrackerDump

    public class SharedPageLockTrackerDump
    extends Object

### Field Summary

Fields
`Map<Integer,String>` `structureIdToStructureName`
`List<ThreadPageLockState>` `threadPageLockStates`
`long` `time`

### Constructor Summary

Constructors
Constructor and Description
`SharedPageLockTrackerDump(long time, Map<Integer,String> structureIdToStructureName, List<ThreadPageLockState> threadPageLockStates)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### structureIdToStructureName

    public final Map<Integer,String> structureIdToStructureName

#### threadPageLockStates

    public final List<ThreadPageLockState> threadPageLockStates

#### time

    public final long time

### Constructor Detail

#### SharedPageLockTrackerDump

    public SharedPageLockTrackerDump(long time,
                                     Map<Integer,String> structureIdToStructureName,
                                     List<ThreadPageLockState> threadPageLockStates)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023